Skip to main content
`Ctrl`+`K`

# TaoALMMGetPrimalIS

Retrieve the index set that identifies optimization and slack variable components of the subsolver’s solution vector.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoALMMGetPrimalIS(Tao tao, IS *opt_is, IS *slack_is)

## Input Parameter

- tao - the `Tao` context for the `TAOALMM` solver

## Output Parameters

- opt_is - index set associated with the optimization variables (`NULL` if not needed)

- slack_is - index set associated with the slack variables (`NULL` if not needed)

## See Also

`TAOALMM`, `Tao`, `IS`, `TaoALMMGetPrimalVector()`

## Level

advanced

## Location

src/tao/constrained/impls/almm/almmutils.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages